#pragma once
#include <utils.h>
#include "Camera.h"

class Character: public Camera
{
public:

	Character(void);
	~Character(void);

	virtual void SaveToXml(TiXmlElement *currentElement);
	virtual void LoadFromXml(TiXmlElement *currentElement);

	virtual void Reset();

	void Go(int ms);
	void Strafe(int ms);
	void ChangeLook(float dx, float dy);

private:
	float m_turnangle;
	float m_upangle;
	void SetLookat();
};