#pragma once

#include <utils.h>


#ifndef DISABLE_LIBNOISE

#include "Renderable2d.h"
#include <noise.h>

using namespace noise;

class LibNoiseLayer: public Renderable2d
{
public:

	virtual float GetRawValueAt(float x, float y);
	virtual void SetVariables();

	LibNoiseLayer(int typeId);
	~LibNoiseLayer(void);

protected:
	module::Perlin m_perlinNoise;
};

#endif