#pragma once

#include <utils.h>

enum RenderableMetaType
{
	RENDERABLE_2D,
	RENDERABLE_2D_DISCRETE,
	RENDERABLE_3D
};

typedef struct layer_type_info
{
	char type_name[100];
	RenderableMetaType type_metatype;
	DisplayMode type_display_mode;

} LayerTypeInfo;

class RenderableFactory
{
public:
	~RenderableFactory(void){}
	static BaseRenderable* CreateRenderable(int renderable_type);
	static LayerTypeInfo TypeInformation[];
	static int LayerTypeCount;
private:
	//static functions only
	RenderableFactory(void){}
};